Skip to content

tools.unarchive

Bring a tool back.

Reference

POST/api/v1/tools/{tool_uuid}/unarchive

Auth
API key in X-API-Key
Content
none
Returns
200 · ToolResponse

Unarchive a tool (restore from archived state). Args: tool_uuid: The UUID of the tool to unarchive Returns: The unarchived tool

Arguments

ArgumentInTypeRequiredDescription
tool_uuidpathstringrequired

Example request

curl -X POST "https://api.decibyl.ai/api/v1/tools/<tool_uuid>/unarchive" \
  -H "X-API-Key: dcb_your_key"

Response

{
  "id": 1,
  "tool_uuid": "string",
  "name": "string",
  "description": "string",
  "category": "string",
  "icon": "string",
  "icon_color": "string",
  "status": "string",
  "definition": {},
  "created_at": "2026-09-14T09:30:00Z",
  "updated_at": "2026-09-14T09:30:00Z",
  "created_by": {
    "id": 1,
    "provider_id": "string"
  }
}

Errors

StatusWhen
404Not found
422Validation Error